:root {
    --color-primary: #DB4D9A;       
    --color-primary-light: #F48FB1; 
    --color-black: #FFF9F0;         
    --color-black-light: transparent; 
    --color-white: #000000;         
    --color-real-white: #FFFFFF;    
    --bonbon-pink-light: #FCE7F3;   
}

body {
    background-color: var(--color-black); 
    color: var(--color-white); 
}

.hero__container {
    background-color: transparent;
    color: var(--color-white); 
}

.hero__subtitle {
    color: var(--color-primary); 
    opacity: 0.9; 
    letter-spacing: 10px; 
}

.hero__title {
    color: var(--color-primary); 
}

.hero__description {
    color: var(--color-white);
    opacity: 0.8; 
}

.header__nav {
    background-color: var(--color-primary); 
    border-bottom: none; 
}

.header__link {
    color: var(--color-real-white); 
}

.header__link:hover {
    color: var(--color-black);
}

.header__cart img {
    filter: brightness(0) invert(1); 
}

.footer-container {
    background-color: var(--color-primary); 
}

.footer-nav-link,
.footer-description,
.footer-copyright {
    color: var(--color-real-white); 
}

.footer-description,
.footer-copyright {
    opacity: 0.8;
}

.footer-nav-link:hover {
    color: var(--color-black);
}

.footer-socials-desktop img,
.footer-socials-mobile img {
    filter: brightness(0) invert(1); 
}

.zx9-speaker {
    background-color: var(--color-primary); 
    color: var(--color-real-white); 
}

.zx9-title, 
.zx9-description {
    color: var(--color-real-white);
}

.zx9-description {
    opacity: 0.8; 
}

.btn--primary {
    background-color: var(--color-white); 
    color: #FFF9F0;
}

.btn--primary:hover {
    background-color: var(--color-primary);
    color: var(--color-real-white); 
}

.zx7-speaker,
.yx1-text-block {
    background-color: var(--bonbon-pink-light); 
    color: var(--color-white); 
}

.zx7-title, .yx1-title {
    color: var(--color-white);
}

.about-title {
    color: var(--color-white);
}

.about-description {
    color: var(--color-white); 
    opacity: 0.7; 
}

